Bug 1283034 - [abrt] gnome-terminal: _file_write(): gnome-terminal-server killed by SIGABRT
[abrt] gnome-terminal: _file_write(): gnome-terminal-server killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e9b77afd963485bb1ee3ec1a55b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 23:48 EST by jonathanrgreene
Modified: 2015-12-02 13:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:52:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.99 KB, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: cgroup (191 bytes, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: core_backtrace (12.35 KB, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: dso_list (8.64 KB, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: environ (1.24 KB, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: maps (44.28 KB, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: open_fds (1.21 KB, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2015-11-17 23:48 EST, jonathanrgreene
no flags Details

  None (edit)
Description jonathanrgreene 2015-11-17 23:48:24 EST
Description of problem:
I was trying to install boost using linuxbrew because I need it as a dependency for another package on brew. Im using a paravirtulized fedora 21 installation. I can reliably reproduce this crash every single time by doing the following:

1) Open bash
2) Type: brew install boost
3) bash will then crash

I don't know what's going on, but I would appriciate any troubleshooting help... I'm at a loss on this one. :(

Version-Release number of selected component:
gnome-terminal-3.14.3-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: _file_write
executable:     /usr/libexec/gnome-terminal-server
kernel:         3.18.17-7.pvops.qubes.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _file_write at vtestream-file.h:319
 #5 _vte_file_stream_append at vtestream-file.h:409
 #6 _vte_ring_freeze_row at ring.c:193
 #7 _vte_ring_freeze_one_row at ring.c:359
 #8 _vte_ring_maybe_freeze_one_row at ring.c:405
 #9 _vte_ring_insert at ring.c:542
 #10 _vte_terminal_ring_insert at vte.c:314
 #11 _vte_terminal_ring_append at vte.c:323
 #12 vte_terminal_insert_rows at vte.c:2105
 #13 _vte_terminal_update_insert_delta at vte.c:2165

Potential duplicate: bug 1099218
Comment 1 jonathanrgreene 2015-11-17 23:48:28 EST
Created attachment 1095826 [details]
File: backtrace
Comment 2 jonathanrgreene 2015-11-17 23:48:30 EST
Created attachment 1095827 [details]
File: cgroup
Comment 3 jonathanrgreene 2015-11-17 23:48:32 EST
Created attachment 1095828 [details]
File: core_backtrace
Comment 4 jonathanrgreene 2015-11-17 23:48:34 EST
Created attachment 1095829 [details]
File: dso_list
Comment 5 jonathanrgreene 2015-11-17 23:48:35 EST
Created attachment 1095830 [details]
File: environ
Comment 6 jonathanrgreene 2015-11-17 23:48:36 EST
Created attachment 1095831 [details]
File: limits
Comment 7 jonathanrgreene 2015-11-17 23:48:39 EST
Created attachment 1095832 [details]
File: maps
Comment 8 jonathanrgreene 2015-11-17 23:48:40 EST
Created attachment 1095833 [details]
File: open_fds
Comment 9 jonathanrgreene 2015-11-17 23:48:41 EST
Created attachment 1095834 [details]
File: proc_pid_status
Comment 10 Egmont Koblinger 2015-11-18 03:19:54 EST
Hi,

Which version of vte do you have? Type: echo $VTE_VERSION (I expect 3603 or so.)

Does it crash if you run a different command, not brew, that also produces lots of output?

vte writes the scrollback buffer's contents into a temporary file (actually many temporary files, up to 12). Could you please make sure that you have enough space in /tmp, and you don't even run out of the number of available file descriptors? (What's the output of "ulimit -n"? Can you increase it, let's say "ulimit -n 4096" and then run gnome-terminal as described in https://wiki.gnome.org/Apps/Terminal/Debugging? Two commands, you can omit the "gdb --args" prefix.)

The number of required files was significantly reduced in later vte releases, and the code where it crashes for you was also rewritten, so presumably it wouldn't crash on latest Fedora.
Comment 11 Egmont Koblinger 2015-11-18 03:23:30 EST
Correction: the version will probably be 3802 (0.38.2), please confirm.

The said rewrite happened in 0.40.
Comment 12 Fedora End Of Life 2015-12-02 10:52:46 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.